/*
 *  banner.c
 *
 *  CAVE - Colored Ascii Visual Editor
 *  Startup banner
 *
 *  Copyright (C) 2002 Michal Miszewski <fixer@irc.pl>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License version 2 as
 *  published by the Free Software Foundation.
 */

#include <curses.h>
#include "banner.h"
#include "config.h"

#define NUM	9
#define SPACE	7

char art[NUM][100] =
{
  ".---------------------.   ,---.   .------.               .-----.   .---------.",
  "|    _______________./\' /\'     `\\  `\\    `\\             /\'    /\'  /   ,______|",
  "|   |                 /\'   /\'\\   `\\  `\\    `\\         /\'    /\'  /\'  ,/",
  "|   |               /\'   /_____\\   `\\  `\\    `\\     /\'    /\'  /\'   /_________",
  "|   |             /\'    _________    `\\  `\\    `\\./\'    /\'  /\'   ____________\'",
  "|   `_______    /\'    /\'         `\\    `\\  `\\         /\'  /\'   /_____________",
  "|          /\' /\'    /\'             `\\    `\\  `\\     /\'  /\'     `             |",
  "`---------\'   \'----\'                 `----'    `---\'   \'---------------------\'",
  "-=< [C-O-L-O-R-E-D]  --  [A-S-C-I-I]  --  [V-I-S-U-A-L]  --  [E-D-I-T-O-R] >=-"
};

void draw_banner()
{
  int a;

  for (a = 0; a < SPACE; a++) waddstr(editw, "\n");
  for (a = 0; a < NUM; a++)
  {
    waddstr(editw, art[a]);
    waddstr(editw, "\n");
  }
}
